Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.placeholder.model
Class QueryDefinitionModel

    java.lang.Object
      com.bea.p13n.model.Model
          com.bea.p13n.model.XmlObjectModel
              com.bea.p13n.placeholder.model.QueryDefinitionModel

All Implemented Interfaces
  Serializable, Cloneable

    public class QueryDefinitionModel

extends XmlObjectModel

A clause model representing a queryDefinition from the http://www.bea.com/servers/p13n/xsd/placeholder/1.1.1 namespace. This will have a single child of a `ContentQueryModel`.

See Also
  Serialized Form

Nested Class Summary
`static class` | `QueryDefinitionModel.Priority` The possible queryPriority's.

Nested classes/interfaces inherited from class com.bea.p13n.model.Model
`Model.ChangeEvent, Model.ChangeListener, Model.ChangeSupport, Model.Debug`

Field Summary

Fields inherited from class com.bea.p13n.model.XmlObjectModel
`copyRootXmlObject, instanceUri, isComplete`

Fields inherited from class com.bea.p13n.model.Model
`childrenModels, docModel, parentModel, roChildrenModels`

Constructor Summary
`QueryDefinitionModel()`

Method Summary
`void` | `clearCachedData()` Clear out any cached data we're holding, so we'll get it from the `QueryDefinition` next time.
`Model` | `copy()` Create a copy of this query definition model.
`org.apache.xmlbeans.XmlObject` | `createNewXmlObject()` Return a new, empty QueryDefinition object with a new, empty ContentQuery.
`protected boolean` | `determineIsComplete()` Our completeness is dependent upon our `content query` being complete.
`ContentQueryModel` | `getContentQueryModel()` Get our child content query clause model.
`String` | `getName()` Get the query name.
`QueryDefinitionModel.Priority` | `getPriority()` Get the query priority.
`com.bea.p13n.placeholder.schema.QueryDefinition` | `getQueryDefinition()` Get the underlying QueryDefinition object.
`void` | `initializeNew()` Initialize this as a new, empty query definition.
`void` | `setName(String name)` Set the query name.
`void` | `setPriority(QueryDefinitionModel.Priority priority)` Set the query priority.
`void` | `setXmlObject(org.apache.xmlbeans.XmlObject clause)` Verify that the specified clause object is valid for this class.

Methods inherited from class com.bea.p13n.model.XmlObjectModel
`checkElement, childAdded, childRemoved, fixQName, getApplicationInstanceUri, getChild, getCopyXmlObject, getDocument, getLocalName, getParent, getQName, getRootXmlObject, isComplete, isNil, preRemove, propertyChanged, removeAllChildren, removeChild, setApplicationInstanceUri, setIsComplete, setIsComplete, setParent, setRootXmlObject`

Methods inherited from class com.bea.p13n.model.Model
`addChangeListener, addChild, addChild, clone, doubleEquals, equals, getChildren, getDebug, getDebug, getDocument, getParent, longEquals, removeChangeListener, removeChild, removeChild, removeEmpties, setDocument`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryDefinitionModel

    public QueryDefinitionModel()

Method Detail

### setXmlObject

    public void setXmlObject(org.apache.xmlbeans.XmlObject clause)
                      throws IllegalArgumentException

  Verify that the specified clause object is valid for this class.

  Throws
    `IllegalArgumentException` - if clause is not a `QueryDefinition` instance.

### createNewXmlObject

    public org.apache.xmlbeans.XmlObject createNewXmlObject()

  Return a new, empty QueryDefinition object with a new, empty ContentQuery.

### initializeNew

    public void initializeNew()

  Initialize this as a new, empty query definition.

### copy

    public Model copy()

  Create a copy of this query definition model.

  Specified by:
    `copy` in class `Model`

### clearCachedData

    public void clearCachedData()

  Clear out any cached data we're holding, so we'll get it from the `QueryDefinition` next time.

  Specified by:
    `clearCachedData` in class `XmlObjectModel`

### getQueryDefinition

    public com.bea.p13n.placeholder.schema.QueryDefinition getQueryDefinition()

  Get the underlying QueryDefinition object.

### getName

    public String getName()

  Get the query name. This will never be null; it will be empty string for no name or if not set.

### setName

    public void setName(String name)

  Set the query name.

### getPriority

    public QueryDefinitionModel.Priority getPriority()

  Get the query priority.

### setPriority

    public void setPriority(QueryDefinitionModel.Priority priority)

  Set the query priority.

### getContentQueryModel

    public ContentQueryModel getContentQueryModel()

  Get our child content query clause model.

### determineIsComplete

    protected boolean determineIsComplete()

  Our completeness is dependent upon our `content query` being complete.

  Overrides:
    `determineIsComplete` in class `XmlObjectModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.